Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007637TestLinkTest Cases Assigned to Mepublic2016-08-10 10:462016-09-08 15:12
Reporterdidi 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007637: The tree in the left frame remains empty, after applying the security patch of ticket 7402
DescriptionRelated to Ticket http://mantis.testlink.org/view.php?id=7402 [^]
The security hole is fixed, but applying/exchanging just this 3 files to an existing 1.9.14 Installation causes other Problems. The testcase tree Display in the left Frame remains empty , Shows 0 testcases. same failure is shown, when "test Execution" is clicked.
Steps To ReproduceUse a 1.9.14 Installation and Change the 3 files as mentioned in Ticket 7402 (0007402: TestLink Security Vulnerability Notification)

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/410dd6a480ddc4eaf7ed8f26b5df98df74837539 [^]

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/c4fa3777ec0ff1ebadcf8331a083b4fd47247f75 [^]

 1) Create a Testplan & a build
 2) Add some testcases to this Testplan
 3) Click "Assign Testcase Execution" with the intention to assign testcases to Testers

 => The left Tree in the left frame shows no testcases (0)

 If you assign a tester already in Step 2 to the testcases:

 4) Click "Test Execution" and the tree in left Frame remains also empty.

 5) If i click in the right Frame under "Test Execution" the Point " Test Cases assigned to me" i have them visible and could execute them.

 There is a relation between the tree Display and this fixes mentioned in Bug 7402
 
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE11
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon SS_7637_1.jpg [^] (231,735 bytes) 2016-08-12 08:23


jpg file icon SS_7637_2.jpg [^] (110,786 bytes) 2016-08-12 08:23


jpg file icon SS_7637_3.jpg [^] (259,913 bytes) 2016-08-12 08:24


jpg file icon SS_7637_4.jpg [^] (225,170 bytes) 2016-08-12 08:24


jpg file icon SS_7637_5.jpg [^] (248,789 bytes) 2016-08-12 08:24


jpg file icon SS_7637_6.jpg [^] (156,824 bytes) 2016-08-12 08:25


xml file icon TM-Testprojekt.testproject-deep.xml [^] (3,740 bytes) 2016-08-24 19:58
xml file icon linkedItems_7637-Testplan.xml [^] (1,487 bytes) 2016-08-24 20:01

- Relationships
related to 0007402closedfman TestLink Security Vulnerability Notification 

-  Notes
(0025117)
fman (administrator)
2016-08-10 14:28

Details are not enough.
Complete use case starting from Test Project creation, Test Suites, Test case and so on is needed
(0025118)
didi (reporter)
2016-08-12 08:26
edited on: 2016-08-24 20:48

1) Create a Testprojekt "TM-Testprojekt" as follows

Prefix: TMT
Description: Testprojekt excl. for Testmanagement-Usage
Enhanced features:
Tick Requirements
Tick Testing Priority
dont Tick Test Automation
Tick Inventory

Availability:
Tick Active
Tick Public

2) Create some Testspecifiactions in one Test Suite

Click "Test Specification" in the left Frame
Click on "TM-Testprojekt"
Click the "gearwheel sign" and then the "plus" sign to create a test suite as follows:
Test Suite Name: 7637-Reprotest
Details: Repro for FMAN
Click "Save"

=> The Suite is shown in the left frame as 7637-Reprotest(0)

Click on this Suite 7637-Reprotest(0)
Click the "gearwheel sign" and then the "plus" sign following the texture "Test Case Operations" to create a Test Case
Test Case Title: Test 1
Leave Summary & Precondition empty, leave Status Draft, Leave Importance Medium
Click Create

=> The Testcase creation is reflected in the left frame and shows now 7637-Reprotest(1)

Click Create step

Step actions: Enter 1+1=
Expected Results: Enter 2

Click Save & Exit

=> 1.Testcase is done succesfully

Click on this Suite 7637-Reprotest(1)
Click the "gearwheel sign" and then the "plus" sign following the texture "Test Case Operations" to create a Test Case
Test Case Title: Test 2
Leave Summary & Precondition empty, leave Status Draft, Leave Importance Medium
Click Create

=> The Testcase creation is reflected in the left frame and shows now 7637-Reprotest(2)

Click Create step

Step actions: Enter 2+2=
Expected Results: Enter 4

Click Save & Exit

=> 2.Testcase is done succesfully

Click on this Suite 7637-Reprotest(2)
Click the "gearwheel sign" and then the "plus" sign following the texture "Test Case Operations" to create a Test Case
Test Case Title: Test 3
Leave Summary & Precondition empty, leave Status Draft, Leave Importance Medium
Click Create

=> The Testcase creation is reflected in the left frame and shows now 7637-Reprotest(3)

Click Create step

Step actions: Enter 3+3=
Expected Results: Enter 6

Click Save & Exit

=> 3.Testcase is done succesfully

Click on this Suite 7637-Reprotest(3)
Click the "gearwheel sign" and then the "plus" sign following the texture "Test Case Operations" to create a Test Case
Test Case Title: Test 4
Leave Summary & Precondition empty, leave Status Draft, Leave Importance Medium
Click Create

=> The Testcase creation is reflected in the left frame and shows now 7637-Reprotest(4)

Click Create step

Step actions: Enter 4+4=
Expected Results: Enter 8

Click Save & Exit

=> 4.Testcase is done succesfully

Click on this Suite 7637-Reprotest(4)
Click the "gearwheel sign" and then the "plus" sign following the texture "Test Case Operations" to create a Test Case
Test Case Title: Test 5
Leave Summary & Precondition empty, leave Status Draft, Leave Importance Medium
Click Create

=> The Testcase creation is reflected in the left frame and shows now 7637-Reprotest(5)

Click Create step

Step actions: Enter 5+5=
Expected Results: Enter 10

Click Save & Exit

=> 5.Testcase is done succesfully


3) Create a Testplan

Go to "Testplan" in the right frame and click "Test Plan Management"

Click "Create" and enter the data as follows:

Name: 7637-Testplan
Description: Testplan for FMAN
Create from existing Test Plan? No
Tick Active
Tick Public
Click Create

=> Testplan 7637-Testplan is shown with Testcase #0 Build #0 Platform #0 Active Bulb "On"

4) Create a Build / Release
Go to "Testplan" in the right frame and click "Builds /Releases"
=> No builds are defined within this Test Plan!
Click "Create" and enter the data as follows:
Title: Version1.0
Description: Build for FMAN
leave Active Ticked
leave Open Ticked
leave Release date blank
Click Create

=> Version1.0 is shown and Active Bulb "On"

5) Add the Testcases to the Plan

Go to "Test Plan contents" and click "Add / Remove Test Cases"

Click in the left frame, where now the test specs are shown, on the suite 7635-Reprotest(5)
=> The 5 Testcases are shown in the right frame, unticked

Click "adding" after texture "Check/uncheck all Test cases for adding removal
=> The 5 Testcases are shown in the right frame, now ticked

Click "Add selected"
=> The 5 Testcases are shown in the right frame, with yellow back ground

6) Assign this tests to a user

Go to "Test Plan contents" and click "Assign Test Case Execution"


FAILURE 1 STARTS HERE

=> The left frame, where the testsuite is shown, shows the suite as follows TM-Testprojekt / 7637-Testplan (0)
      No Testcases are visible,the suit seems to be empty reflected in the ZERO in the bracket
A click onto the Suite, shows also, that no testcases are shown the right frame (see pls Screenshot SS_7637_1.jpg)

FAILURE 1 ENDS HERE

---------------------------------------------------------
From here on i try to make a workaround
---------------------------------------------------------


7) Go back to "Test Plan contents" and click "Add / Remove Test Cases" with the intention to assign a tester already in that step

Go to "Test Plan contents" and click "Add / Remove Test Cases"

=> Here you see right away that in the right frame the testplan content shows (0) even 5 Testcases have been added (see pls Screenshot SS_7637_2.jpg).
Clicking in the left frame on Suite 7637 shows, that this testcases have been added because the background is yellow (see pls Screenshot SS_7637_3.jpg)

Click removal at Check/uncheck all Test cases for adding/removal
=> All test cases with yellow back gorund are ticked

Click Add/Remove selected
=> The background switches to default and all test cases are again out of the testpaln.

Now lets do step 5 from above again, but with a user assignment

Click "adding" after texture "Check/uncheck all Test cases for adding removal
=> The 5 Testcases are shown in the right frame, now ticked again

Assign a user on add => select yourself out of the values

Click "Add selected"
=> The 5 Testcases are shown in the right frame, with yellow back ground and the user is reflected in the "Assign to user on add" field (see pls Screenshot SS_7637_4.jpg)

8) Click onto the Desktop Icon to go to "Home Position" with the intention to start testing.

Go to Test Execution in the right frame and click "Test Cases Assigned to Me"
=> All OK and correct shown (see pls Screenshot SS_7637_5.jpg)

Do nothing here anymore !

9) Click onto the Desktop Icon to go to "Home Position" with the intention to start testing, another way to get your assigned testcases

In the top bar, click onto the "Remote Control"-Icon / Test Execution


FAILURE 2 STARTS HERE

=> The left frame, where the testcases should be shown, shows the suite as follows TM-Testprojekt / 7637-Testplan (0)(0,0,0,0)
      No Testcases are visible,the suit seems to be empty reflected by the ZEROs in the brackets
A click onto the Suite, shows also, that no testcases are shown the right frame (see pls Screenshot SS_7637_6.jpg)

FAILURE 2 ENDS HERE


(0025131)
fman (administrator)
2016-08-18 11:15

Thanks for detailed information (this is level of detail needed), I'm going to give a look but have no ETA
(0025138)
didi (reporter)
2016-08-23 12:48
edited on: 2016-08-23 13:03

This might be a worth test case for 1.9.15 as the vulnerable fix 7402 is part of 1.9.15 acc. to release notes

(0025139)
fman (administrator)
2016-08-23 13:00

@didi
Just for the records:
what will be worth is provide actual data when is requested by dev team to work on the issue, instead of just saying '... I can not explain you how to reproduce ...'.
(0025140)
didi (reporter)
2016-08-23 13:06

@fman: I dont get your point here, as i wrote the whole note "http://mantis.testlink.org/view.php?id=7637#c25118" [^] and that should be reproduce-steps/data enough. (and i dont see a request from dev-team either)
(0025148)
fman (administrator)
2016-08-24 19:58

uploading file to allow use case creation in an easy way
(0025149)
fman (administrator)
2016-08-24 20:12

Just tested on latest code from GitHub, using XAMPP 5.6 on OSX and I was unable to reproduce the issue indicated

FAILURE 1 STARTS HERE

=> The left frame, where the testsuite is shown, shows the suite as follows TM-Testprojekt / 7637-Testplan (0)
      No Testcases are visible,the suit seems to be empty reflected in the ZERO in the bracket
A click onto the Suite, shows also, that no testcases are shown the right frame (see pls Screenshot SS_7637_1.jpg)

FAILURE 1 ENDS HERE


My suggestion is get latest code from github, do fresh install on a sandbox, retest & provide feedback
(0025166)
fman (administrator)
2016-08-31 21:46

no more user feedback
(0025202)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-08-10 10:46 didi New Issue
2016-08-10 14:28 fman Note Added: 0025117
2016-08-10 14:28 fman Status new => feedback
2016-08-10 14:29 fman Relationship added related to 0007402
2016-08-12 08:23 didi File Added: SS_7637_1.jpg
2016-08-12 08:23 didi File Added: SS_7637_2.jpg
2016-08-12 08:24 didi File Added: SS_7637_3.jpg
2016-08-12 08:24 didi File Added: SS_7637_4.jpg
2016-08-12 08:24 didi File Added: SS_7637_5.jpg
2016-08-12 08:25 didi File Added: SS_7637_6.jpg
2016-08-12 08:26 didi Note Added: 0025118
2016-08-12 08:26 didi Status feedback => new
2016-08-18 11:15 fman Note Added: 0025131
2016-08-23 12:48 didi Note Added: 0025138
2016-08-23 13:00 fman Note Added: 0025139
2016-08-23 13:03 didi Note Edited: 0025138 View Revisions
2016-08-23 13:06 didi Note Added: 0025140
2016-08-24 19:58 fman Note Added: 0025148
2016-08-24 19:58 fman File Added: TM-Testprojekt.testproject-deep.xml
2016-08-24 20:01 fman File Added: linkedItems_7637-Testplan.xml
2016-08-24 20:12 fman Note Added: 0025149
2016-08-24 20:12 fman Assigned To => fman
2016-08-24 20:12 fman Status new => feedback
2016-08-24 20:12 fman QA Team - Task Workflow Status => TBD
2016-08-24 20:12 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-08-24 20:12 fman Description Updated View Revisions
2016-08-24 20:48 fman Note Edited: 0025118 View Revisions
2016-08-31 21:46 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-08-31 21:46 fman Note Added: 0025166
2016-08-31 21:46 fman Status feedback => resolved
2016-08-31 21:46 fman Resolution open => fixed
2016-09-08 15:12 fman Note Added: 0025202
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker